package com.hotent.project.manager;

import com.hotent.base.manager.BaseManager;
import com.hotent.project.model.CostProjectSupervise;
import com.hotent.project.model.CostProjectSuperviseData;
import com.hotent.project.model.CostProjectSurvey;
import com.hotent.project.req.CostProjectSuperviseReq;
import com.hotent.project.vo.CostProjectSuperviseDataVo;

import java.util.List;

/**
 *@author: zhao yue yue
 *@create: 2025-11-18 14:47
 */
public interface CostProjectSuperviseManager extends BaseManager<CostProjectSupervise> {

    String add(CostProjectSuperviseReq param) throws Exception;

    String modify(CostProjectSuperviseReq param) throws Exception;

    String delete(CostProjectSuperviseReq param);

    List<CostProjectSupervise> getListByprojectIds(List<String> projectIds);

    List<CostProjectSuperviseDataVo> getReportList(CostProjectSuperviseReq param);
}
